/// <reference types="react" />
import { StatelessComponent, ReactElement, ReactPortal } from "react";
import Phases from "./Phases";
import PlayerStrategies from "./PlayStrategies";
import { Props } from "./types";
declare const _default: StatelessComponent<Pick<{
    actions: {
        setState: (state: {
            play1: {
                node?: string | number | boolean | {} | ReactElement<any> | (string | number | boolean | any[] | ReactElement<any>)[] | ReactPortal | null | undefined;
            };
            play2: {
                node?: string | number | boolean | {} | ReactElement<any> | (string | number | boolean | any[] | ReactElement<any>)[] | ReactPortal | null | undefined;
            };
            newPlayKey: "play1" | "play2";
            playlist: {
                node?: string | number | boolean | {} | ReactElement<any> | (string | number | boolean | any[] | ReactElement<any>)[] | ReactPortal | null | undefined;
            }[];
            autoClearPlay: {
                node?: string | number | boolean | {} | ReactElement<any> | (string | number | boolean | any[] | ReactElement<any>)[] | ReactPortal | null | undefined;
            } | null;
            phase: Phases;
        }) => void;
        nextPhase: (phase: Phases, oldPlayKey: string, oldPlay: {
            node?: string | number | boolean | {} | ReactElement<any> | (string | number | boolean | any[] | ReactElement<any>)[] | ReactPortal | null | undefined;
        }) => void;
        addPlay: (node: string | number | boolean | {} | ReactElement<any> | (string | number | boolean | any[] | ReactElement<any>)[] | ReactPortal | null | undefined) => void;
        removePlay: (node: string | number | boolean | {} | ReactElement<any> | (string | number | boolean | any[] | ReactElement<any>)[] | ReactPortal | null | undefined) => void;
        updatePlay: (oldNode: string | number | boolean | {} | ReactElement<any> | (string | number | boolean | any[] | ReactElement<any>)[] | ReactPortal | null | undefined, newNode: string | number | boolean | {} | ReactElement<any> | (string | number | boolean | any[] | ReactElement<any>)[] | ReactPortal | null | undefined) => void;
        playNext: (PlayStrategies?: PlayerStrategies | undefined) => void;
    };
} & Props & {
    play1: {
        node?: string | number | boolean | {} | ReactElement<any> | (string | number | boolean | any[] | ReactElement<any>)[] | ReactPortal | null | undefined;
    };
    play2: {
        node?: string | number | boolean | {} | ReactElement<any> | (string | number | boolean | any[] | ReactElement<any>)[] | ReactPortal | null | undefined;
    };
    newPlayKey: "play1" | "play2";
    playlist: {
        node?: string | number | boolean | {} | ReactElement<any> | (string | number | boolean | any[] | ReactElement<any>)[] | ReactPortal | null | undefined;
    }[];
    autoClearPlay: {
        node?: string | number | boolean | {} | ReactElement<any> | (string | number | boolean | any[] | ReactElement<any>)[] | ReactPortal | null | undefined;
    } | null;
    phase: Phases;
}, "children" | "initStyles" | "styleCalculators" | "nextPhaseCheckers" | "numberToStyles">>;
export default _default;
export { Actions, State, StyleCalculators, InitMotionStyle, NextPhaseCheckers, NumberToStyles, Props } from "./types";
export { default as Phases } from "./Phases";
export { default as connectComponent } from "./connectComponent";
