import initState from "./state";
import ActionTypes from "./ActionTypes";
import Phases from "./Phases";
function reducer(state, action, isSceneAction) {
    if (state === void 0) { state = initState; }
    if (!isSceneAction)
        return state;
    switch (action.type) {
        case ActionTypes.ARENA_SCENE_ANIMATION_NEXTPHRASE:
            if (state.phase !== action.phase)
                return state;
            switch (state.phase) {
                case Phases.LOADING:
                    return Object.assign({}, state, {
                        phase: Phases.ENTERING
                    });
                case Phases.ENTERING:
                    return Object.assign({}, state, {
                        phase: Phases.IN
                    });
                case Phases.LEAVING:
                    return Object.assign({}, state, { phase: Phases.OUT });
                default:
                    return state;
            }
        case ActionTypes.ARENA_SCENE_ANIMATION_LEAVING_START:
            if (state.phase === Phases.IN)
                return Object.assign({}, state, { phase: Phases.LEAVING });
        default:
            return state;
    }
}
export default reducer;
