import ArenaActionTypes from "redux-arena/ActionTypes";
import ActionTypes from "./ActionTypes";
export function setState(state) {
    return {
        type: ArenaActionTypes.ARENA_SCENE_SET_STATE,
        state: state
    };
}
export function nextPhase(phase, oldPlayKey, oldPlay) {
    return {
        type: ActionTypes.ARENA_SWITCH_ANIMATION_NEXTPHRASE,
        phase: phase,
        oldPlayKey: oldPlayKey,
        oldPlay: oldPlay
    };
}
export function addPlay(node) {
    return {
        type: ActionTypes.ARENA_SWITCH_ANIMATION_PLAY_ADD,
        entity: {
            node: node
        }
    };
}
export function removePlay(node) {
    return {
        type: ActionTypes.ARENA_SWITCH_ANIMATION_PLAY_REMOVE,
        node: node
    };
}
export function updatePlay(oldNode, newNode) {
    return {
        type: ActionTypes.ARENA_SWITCH_ANIMATION_PLAY_UPDATE,
        oldNode: oldNode,
        newNode: newNode
    };
}
export function playNext(PlayStrategies) {
    return {
        type: ActionTypes.ARENA_SWITCH_ANIMATION_PLAY_NEXT,
        PlayStrategies: PlayStrategies
    };
}
export default {
    setState: setState,
    nextPhase: nextPhase,
    addPlay: addPlay,
    removePlay: removePlay,
    playNext: playNext,
    updatePlay: updatePlay
};
